prod:
  logger:
    class:   sfNoLogger
    param:
      level:   err
      loggers: ~
  mailer:
    class: sfMailer
    param:
      logging:           %SF_LOGGING_ENABLED%
      charset:           %SF_CHARSET%
      delivery_strategy: realtime
      transport:
        class: Swift_MailTransport
        # param:
          # host:       ssl0.ovh.net
          # port:       465
          # encryption: ssl
          # username:   info@acfilyon.org
          # password:   YufucheVt3aF

cli:
  controller:
    class: sfConsoleController
  request:
    class: sfConsoleRequest
  response:
    class: sfConsoleResponse

test:
  storage:
    class: sfSessionTestStorage
    param:
      session_path: %SF_TEST_CACHE_DIR%/sessions

  response:
    param:
      send_http_headers: false

  mailer:
    param:
      delivery_strategy: none

dev:
  mailer:
    param:
      delivery_strategy: none
  mailer:
    class: sfMailer
    param:
      logging:           %SF_LOGGING_ENABLED%
      charset:           %SF_CHARSET%
      delivery_strategy: realtime
      transport:
        class: Swift_MailTransport
        # param:
          # host:       ns0.ovh.net
          # port:       465
          # encryption: ssl
          # username:   info@acfilyon.org
          # password:   YufucheVt3aF

all:
  routing: 
    class: dmFrontRouting
    param:
      generate_shortest_url:            true
      extra_parameters_as_query_string: true

  view_cache_manager:
    class: sfViewCacheManager
    param:
      cache_key_use_vary_headers: true
      cache_key_use_host_name:    true